> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# get-action

> Read a single action by id or key (the selector).



## OpenAPI

````yaml /api-reference/membrane-api.json get /actions/{selector}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /actions/{selector}:
    get:
      summary: get-action
      description: Read a single action by id or key (the selector).
      operationId: getAction
      parameters:
        - name: selector
          in: path
          required: true
          schema:
            type: string
            description: The action selector.
      responses:
        '200':
          description: Read a single action by id or key (the selector).
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: {}
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````